Render ZPL label
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/labels/render \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zpl": "^XA^FO50,50^ADN,36,20^FDHello World^FS^XZ",
"dpmm": "8dpmm",
"width": 4,
"height": 6,
"format": "png"
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/labels/render"
payload = {
"zpl": "^XA^FO50,50^ADN,36,20^FDHello World^FS^XZ",
"dpmm": "8dpmm",
"width": 4,
"height": 6,
"format": "png"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
zpl: '^XA^FO50,50^ADN,36,20^FDHello World^FS^XZ',
dpmm: '8dpmm',
width: 4,
height: 6,
format: 'png'
})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/labels/render', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Labels
Render ZPL label
Render a ZPL label to an image or PDF using the Labelary service.
Returns raw image or PDF bytes on success (not JSON). The Content-Type header will be
set to the appropriate image or PDF MIME type.
On error, returns a JSON response with message and/or errors fields.
POST
/
labels
/
render
Render ZPL label
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Body
application/json
ZPL source code to render
Dots per millimeter resolution
Available options:
6dpmm, 8dpmm, 12dpmm, 24dpmm Label width in inches
Required range:
0.1 <= x <= 15Label height in inches
Required range:
0.1 <= x <= 15Output format
Available options:
png, pdf Label index in ZPL (for multi-label ZPL)
Required range:
x >= 0Response
Rendered label image or PDF
The response is of type file.
⌘I